picard.illumina.parser.fakers

## Class FileFaker

- java.lang.Object
- - picard.illumina.parser.fakers.FileFaker

- Direct Known Subclasses:
    BarcodeFileFaker, BciFileFaker, BclFileFaker, ClocsFileFaker, FilterFileFaker, LocsFileFaker, MultiTileBclFileFaker, MultiTileLocsFileFaker, PosFileFaker

      public abstract class FileFaker
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileFaker()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `addLeadingZeros()`
    `protected abstract int` | `bufferSize()`
    `protected abstract void` | `fakeFile(ByteBuffer buffer)`
    `void` | `fakeFile(File cycleFile, Integer size)`
    `void` | `fakeFile(File base, int tile, int lane, String extension)`
    `void` | `fakeFile(File base, List<Integer> expectedTiles, int lane, String extension)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileFaker

          public FileFaker()

  - ### Method Detail

    - #### fakeFile

          protected abstract void fakeFile(ByteBuffer buffer)

    - #### addLeadingZeros

          protected abstract boolean addLeadingZeros()

    - #### bufferSize

          protected abstract int bufferSize()

    - #### fakeFile

          public void fakeFile(File base,
                               int tile,
                               int lane,
                               String extension)
                        throws IOException

      Throws:
        `IOException`

    - #### fakeFile

          public void fakeFile(File base,
                               List<Integer> expectedTiles,
                               int lane,
                               String extension)
                        throws IOException

      Throws:
        `IOException`

    - #### fakeFile

          public void fakeFile(File cycleFile,
                               Integer size)
                        throws IOException

      Throws:
        `IOException`